import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {PublicLogsComponent} from "./public-logs.component";
import {LogServiceModule} from "../openaireLibrary/utils/log/LogService.module";
import {Route, RouterModule} from "@angular/router";

const routes: Route[] = [
  {
    path: '', component: PublicLogsComponent
  }
];


@NgModule({
  declarations: [PublicLogsComponent],
  imports: [
    CommonModule, RouterModule.forChild(routes),  LogServiceModule, RouterModule
  ],
  exports: [PublicLogsComponent]
})
export class PublicLogsModule { }
