import {Component, OnDestroy, OnInit} from "@angular/core";
import {Stakeholder} from "../../openaireLibrary/monitor/entities/stakeholder";
import {StakeholderService} from "../../openaireLibrary/monitor/services/stakeholder.service";
import {BaseComponent} from "../../openaireLibrary/sharedComponents/base/base.component";
import {ActivatedRoute, Router} from "@angular/router";
import {SEOService} from "../../openaireLibrary/sharedComponents/SEO/SEO.service";
import {PiwikService} from "../../openaireLibrary/utils/piwik/piwik.service";
import {Meta, Title} from "@angular/platform-browser";
import {SearchCustomFilter} from "../../openaireLibrary/searchPages/searchUtils/searchUtils.class";
import {SearchOrcidService} from "../../openaireLibrary/claims/claim-utils/service/searchOrcid.service";
import {properties} from "../../../environments/environment";

@Component({
  selector: 'author',
  template: `
  
  <monitor-search-results   ></monitor-search-results>
  
  `
})
export class AuthorComponent extends BaseComponent implements OnInit {

  constructor(private stakeholderService: StakeholderService,
              private _searchOrcidService: SearchOrcidService,
              protected _route: ActivatedRoute,
              protected _router: Router,
              protected seoService: SEOService,
              protected _piwikService: PiwikService,
              protected _title: Title,
              protected _meta: Meta) {
    super();
  }

  ngOnInit() {

  }


}
