import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {Route, RouterModule} from "@angular/router";
import {AuthorComponent} from "./author.component";
import {MonitorSearchResearchResultsModule} from "../../search/searchPages/simple/searchResearchResults.module";
const routes: Route[] = [
  {
    path: '', component: AuthorComponent
  }
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(routes), MonitorSearchResearchResultsModule],
  declarations: [AuthorComponent],
  exports: [AuthorComponent],
})
export class AuthorModule {
}
